[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# PBlobBuffer

Pointer to the TBlobBuffer type

## Declaration

Source position: bufdataset.pas line 34

`type PBlobBuffer = ^TBlobBuffer;`

## Description

PBlobBuffer is a pointer to the TBlobBuffer type. PBlobBuffer is used to allocate and access the buffers for Blob fields (Memo or Graphic field types). PBlobBuffer is used in TBufBlobField, TBufBlobStream, and in TBufDataset methods which perform record buffer management.

## See also

TBufBlobField |  | Implements a Blob field for TBufDataset
TBufBlobStream |  | Implements a Blob Stream for TBufDataset
TCustomBufDataset |  | Dataset connected to a database.
TBufDataset |  | Implements a database-aware buffered dataset